% create nonplanar fault profile (x,y) for use in example4blocks.in

N = 601;
r = 1; % refinement factor
N = (N-1)*r+1;
h = 0.075/r;

x = [15:h:60]'; % evenly spaced along x-axis
xmin = min(x); L = max(x)-min(x);
y = -10*sin(pi*(x-xmin)/L); % fault y=y(x)
m = -pi/L*10*cos(pi*(x-xmin)/L); % slope m(x)=dy/dx

% convert slope into unit normals

n = zeros(N,2);
n(:,1) = m./sqrt(1+m.^2);
n(:,2) = -1./sqrt(1+m.^2);

% write curve file

name = 'problems/example4blocks';
write_profile(name,x,y,n)

% plot, illustrating direction/sign convention on unit normals

plot(x,y)
hold on,quiver(x,y,n(:,1),n(:,2),0,'r'),hold off
axis image